File cve-2017-17555.diff of Package ffmpeg-4.openSUSE_Leap_42.3_Update

From: Jan Engelhardt <jengelh@inai.de>
Date: 2018-02-12 13:30:29.256158366 +0100

References: https://bugzilla.suse.com/show_bug.cgi?id=1072366
References: CVE-2017-17555

Index: ffmpeg-4.0.1/libswresample/audioconvert.c
===================================================================
--- ffmpeg-4.0.1.orig/libswresample/audioconvert.c	2018-04-20 12:02:58.000000000 +0200
+++ ffmpeg-4.0.1/libswresample/audioconvert.c	2018-06-30 00:17:17.785924731 +0200
@@ -239,7 +239,7 @@ int swri_audio_convert(AudioConvert *ctx
         const uint8_t *pi= ich < 0 ? ctx->silence : in->ch[ich];
         uint8_t       *po= out->ch[ch];
         uint8_t *end= po + os*len;
-        if(!po)
+        if (!pi || !po)
             continue;
         ctx->conv_f(po+off*os, pi+off*is, is, os, end);
     }
openSUSE Build Service is sponsored by